<%--
  Created by IntelliJ IDEA.
  User: Lenovo
  Date: 2022/9/28
  Time: 13:26
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
  <head>
    <title>用户管理</title>
    <script type="text/javascript" src="https://cdn.staticfile.org/jquery/1.10.2/jquery.min.js"></script>
    <script>

      $(function () {
        //初始化用户数据
        getData();//页面初始化会自动执行该方法

        //添加用户
        $("#add").click(function () {
          addOrUpdateUser("addUser");
        })

        //更新用户
        $("#update").click(function () {
          addOrUpdateUser("updateUser");
        })

      });


      //初始化用户数据
      function getData() {
        $.getJSON("user.do",{flag:"getData"},function (result) {
          listUser(result);
        });
      }
      //把选择要更新的数据带到上方的table表格中
      function preUpdateUser(userid){
        var arr = new Array();
        //遍历选中行的用户数据
        $('#'+userid).closest("tr").children().each(function (index,ele) {
          if (index <= 4){
            arr[index] = ele.innerText;
          }
        })
        //设置编辑区域中的数据
        $("userid").val(arr[0]);
        $("userid").attr("readonly",true);
        $("userName").val(arr[1]);
        $("userPassword").val(arr[2]);
        $("salary").val(arr[3]);
        $("birthday").val(arr[4]);
      }
      //获取页面输入的用户数据
      function addOrUpdateUser(flag) {//flag是之前在servlet中写到的获取用户数据的变量
        var userid = $("#id").val();
        var userName = $("#userName").val();
        var userPassword = $("#userPassword").val();
        var salary = $("#salary").val();
        var birthday = $("#birthday").val();

        //将从用户页面拿到的值包装到一个data对象中,以键值对方式传入
        var data = {
          ueserid:userid,
          userName:userName,
          userPassword:userPassword,
          salary:salary,
          birthday:birthday,
          flag:flag
        }

        //发送get请求,对象是data，完了再写一个回调函数，函数中的参数值为result代表结果
        $.get("user.do",data,function (result) {
          alert(result);
          location.reload();
        });

      }



      //遍历用户数据，拼接成html
      function listUser(obj) {
        var str = "";
        $.each(obj,function () {
          str += "<tr align='center'>"+
                  "<td id='"+this.id+"'>"+this.id+"</td>" +
                  "<td id='"+this.userName+"'>"+this.userName+"</td>" +
                  "<td id='"+this.userPassword+"'>"+this.userPassword+"</td>" +
                  "<td id='"+this.salary+"'>"+this.salary+"</td>" +
                  "<td id='"+this.birthday+"'>"+this.birthday+"</td>" +
                  "<td><a href='#' onclick='preUpdateUser("+this.id+")'>更新</a>&nbsp;&nbsp;<a href='#'>删除</a></td></tr>";
        });
        $("#tBody").prepend(str);
      }
    </script>
  </head>
  <body>
    <div>
      <table align="center" width="60%" border="1">
        <tr>
          <td>ID: </td>
          <td><input type="text" name="id" id="id"/></td>
          <td>姓名：</td>
          <td><input type="text" name="userName" id="userName"/></td>
          <td>密码：</td>
          <td><input type="password" name="userPassword" id="userPassword"/></td>
        </tr>
        <tr>
          <td>收入：</td>
          <td><input type="text" name="salary" id="salary"/></td>
          <td>出生日期：</td>
          <td><input type="text" name="birthday" id="birthday"/></td>
          <td colspan="2"></td>
        </tr>
        <tr align="center">
          <td colspan="6">
            <input type="button" value="添加用户" id="add"/>
            <input type="button" value="更新用户" id="update"/>
          </td>
        </tr>
      </table><hr/>
      <table align="center" width="60%" bgcolor="#f5f5dc" border="1" id="myTable">
        <thead>
          <tr align="center">
            <td>ID</td>
            <td>姓名</td>
            <td>密码</td>
            <td>收入</td>
            <td>生日</td>
            <td>操作</td>
          </tr>
        </thead>
        <tbody id="tBody"></tbody>
      </table>
    </div>
  </body>
</html>
